VPS

Restore from backup

post/vps/{vps_id}/backups/{backup_id}/restore

Restore your server to a previous state from a backup. This will overwrite all current data on the server.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value
backup_id*integer
Range1 ≤ value

Request body

Restore backup request

application/jsonRequired
confirm?boolean

Confirmation that user wants to restore

Defaulttrue

Responses

Successful Response

application/json

detail*string

Human-readable confirmation message.